본문으로 건너뛰기
hs-sql-agent
2.0.6
문서 2.0.6
문서 참조

관리 REST API 레퍼런스

각 API의 요청/응답 모델 필드, 타입, 필수 여부와 Nullable을 확인합니다.

각 API를 펼치면 Path/Query 매개변수, Request Body, 상태별 응답 모델의 속성, 중첩 필드, 타입, 필수 및 Nullable 정보를 볼 수 있습니다. 실제 Controller/DTO OpenAPI 메타데이터를 사용합니다.

먼저 Admin UI에서 System-to-System 키를 발급하세요.

93 API 작업 · 28 개 작업에 응답 모델이 정의됨 · v2.0.6 055aa695764f

인증 및 계정 Auth

GET /api/Auth/account

인증: —

경로 및 쿼리 매개변수

없음

요청 본문

없음

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

PUT /api/Auth/account

인증: —

경로 및 쿼리 매개변수

없음

요청 본문

application/json · 필수: 예

필드자료형필수null 허용설명 및 제약 조건
username string 예 아니요 최대 길이: 100
email string 예 아니요 최대 길이: 320

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

PUT /api/Auth/account/password

인증: —

경로 및 쿼리 매개변수

없음

요청 본문

application/json · 필수: 예

필드자료형필수null 허용설명 및 제약 조건
currentPassword string 예 아니요 —
newPassword string 예 아니요 최소 길이: 8

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

GET /api/Auth/first-run

인증: —

경로 및 쿼리 매개변수

없음

요청 본문

없음

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

POST /api/Auth/forgot-password

인증: —

경로 및 쿼리 매개변수

없음

요청 본문

application/json · 필수: 예

필드자료형필수null 허용설명 및 제약 조건
email string 예 아니요 —

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

POST /api/Auth/mfa/confirm

인증: —

경로 및 쿼리 매개변수

없음

요청 본문

application/json · 필수: 예

필드자료형필수null 허용설명 및 제약 조건
code string 예 아니요 —

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

POST /api/Auth/mfa/disable

인증: —

경로 및 쿼리 매개변수

없음

요청 본문

application/json · 필수: 예

필드자료형필수null 허용설명 및 제약 조건
code string 예 아니요 —

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

POST /api/Auth/mfa/setup

인증: —

경로 및 쿼리 매개변수

없음

요청 본문

없음

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

GET /api/Auth/mfa/status

인증: —

경로 및 쿼리 매개변수

없음

요청 본문

없음

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

POST /api/Auth/mfa/verify

인증: —

경로 및 쿼리 매개변수

없음

요청 본문

application/json · 필수: 예

필드자료형필수null 허용설명 및 제약 조건
code string 예 아니요 —

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

GET /api/Auth/oidc/callback

인증: —

경로 및 쿼리 매개변수

없음

요청 본문

없음

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

POST /api/Auth/oidc/exchange

인증: —

경로 및 쿼리 매개변수

없음

요청 본문

application/json · 필수: 예

필드자료형필수null 허용설명 및 제약 조건
code string 예 아니요 —

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

GET /api/Auth/oidc/login

인증: —

경로 및 쿼리 매개변수

없음

요청 본문

없음

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

GET /api/Auth/oidc/status

인증: —

경로 및 쿼리 매개변수

없음

요청 본문

없음

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

POST /api/Auth/refresh-token

인증: —

경로 및 쿼리 매개변수

없음

요청 본문

없음

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

POST /api/Auth/reset-password

인증: —

경로 및 쿼리 매개변수

없음

요청 본문

application/json · 필수: 예

필드자료형필수null 허용설명 및 제약 조건
token string 예 아니요 —
newPassword string 예 아니요 최소 길이: 8

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

DELETE /api/Auth/sessions

인증: —

경로 및 쿼리 매개변수

없음

요청 본문

없음

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

GET /api/Auth/sessions

인증: —

경로 및 쿼리 매개변수

없음

요청 본문

없음

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

DELETE /api/Auth/sessions/{sessionId}

인증: —

경로 및 쿼리 매개변수

필드 위치 자료형 필수 설명 및 제약 조건
sessionId path string (uuid) 예 —

요청 본문

없음

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

POST /api/Auth/sign-in

인증: —

경로 및 쿼리 매개변수

없음

요청 본문

application/json · 필수: 예

필드자료형필수null 허용설명 및 제약 조건
email string 예 아니요 —
password string 예 아니요 —

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

POST /api/Auth/sign-out

인증: —

경로 및 쿼리 매개변수

없음

요청 본문

application/json · 필수: 아니요

필드자료형필수null 허용설명 및 제약 조건
<variant2>.refreshToken string 아니요 예 —

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

POST /api/Auth/sign-up

인증: —

경로 및 쿼리 매개변수

없음

요청 본문

application/json · 필수: 예

필드자료형필수null 허용설명 및 제약 조건
email string 예 아니요 —
password string 예 아니요 —

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

자격 증명 상태 Credential

GET /api/Credential/status

인증: —

경로 및 쿼리 매개변수

없음

요청 본문

없음

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

사용자 지정 SQL 도구 CustomSqlTool

GET /api/CustomSqlTool

인증: AdminBearer / ManagementApiKey

필요 권한: /runtime/custom-tools.view

경로 및 쿼리 매개변수

없음

요청 본문

없음

응답 모델

200 성공

필드자료형필수null 허용설명 및 제약 조건
[].id integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
[].name string 아니요 아니요 —
[].description string 아니요 아니요 —
[].sqlTemplate string 아니요 아니요 —
[].type string 아니요 아니요 —
[].parametersJson string 아니요 예 —
[].dbManagementId integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
[].status string 아니요 아니요 —
[].publishedRevisionId integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
[].publishedIdentity string 아니요 예 —
[].createdAt string (date-time) 아니요 아니요 —
[].lastModifiedAt string (date-time) 아니요 예 —
POST /api/CustomSqlTool

인증: AdminBearer / ManagementApiKey

필요 권한: /runtime/custom-tools.create

경로 및 쿼리 매개변수

없음

요청 본문

application/json · 필수: 예

필드자료형필수null 허용설명 및 제약 조건
id integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
name string 아니요 아니요 —
description string 아니요 아니요 —
sqlTemplate string 아니요 아니요 —
type string 아니요 아니요 —
parametersJson string 아니요 예 —
dbManagementId integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
status string 아니요 아니요 —
publishedRevisionId integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
publishedIdentity string 아니요 예 —
createdAt string (date-time) 아니요 아니요 —
lastModifiedAt string (date-time) 아니요 예 —

응답 모델

201 생성됨

필드자료형필수null 허용설명 및 제약 조건
id integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
name string 아니요 아니요 —
description string 아니요 아니요 —
sqlTemplate string 아니요 아니요 —
type string 아니요 아니요 —
parametersJson string 아니요 예 —
dbManagementId integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
status string 아니요 아니요 —
publishedRevisionId integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
publishedIdentity string 아니요 예 —
createdAt string (date-time) 아니요 아니요 —
lastModifiedAt string (date-time) 아니요 예 —

400 잘못된 요청

필드자료형필수null 허용설명 및 제약 조건
type string 아니요 예 —
title string 아니요 예 —
status integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
detail string 아니요 예 —
instance string 아니요 예 —
DELETE /api/CustomSqlTool/{id}

인증: AdminBearer / ManagementApiKey

필요 권한: /runtime/custom-tools.delete

경로 및 쿼리 매개변수

필드 위치 자료형 필수 설명 및 제약 조건
id path integer | string (int32) 예 —

요청 본문

없음

응답 모델

204 성공(본문 없음)

응답 본문 없음

404 리소스를 찾을 수 없음

필드자료형필수null 허용설명 및 제약 조건
type string 아니요 예 —
title string 아니요 예 —
status integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
detail string 아니요 예 —
instance string 아니요 예 —
GET /api/CustomSqlTool/{id}

인증: AdminBearer / ManagementApiKey

필요 권한: /runtime/custom-tools.view

경로 및 쿼리 매개변수

필드 위치 자료형 필수 설명 및 제약 조건
id path integer | string (int32) 예 —

요청 본문

없음

응답 모델

200 성공

필드자료형필수null 허용설명 및 제약 조건
id integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
name string 아니요 아니요 —
description string 아니요 아니요 —
sqlTemplate string 아니요 아니요 —
type string 아니요 아니요 —
parametersJson string 아니요 예 —
dbManagementId integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
status string 아니요 아니요 —
publishedRevisionId integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
publishedIdentity string 아니요 예 —
createdAt string (date-time) 아니요 아니요 —
lastModifiedAt string (date-time) 아니요 예 —

404 리소스를 찾을 수 없음

필드자료형필수null 허용설명 및 제약 조건
type string 아니요 예 —
title string 아니요 예 —
status integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
detail string 아니요 예 —
instance string 아니요 예 —
PUT /api/CustomSqlTool/{id}

인증: AdminBearer / ManagementApiKey

필요 권한: /runtime/custom-tools.edit

경로 및 쿼리 매개변수

필드 위치 자료형 필수 설명 및 제약 조건
id path integer | string (int32) 예 —

요청 본문

application/json · 필수: 예

필드자료형필수null 허용설명 및 제약 조건
id integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
name string 아니요 아니요 —
description string 아니요 아니요 —
sqlTemplate string 아니요 아니요 —
type string 아니요 아니요 —
parametersJson string 아니요 예 —
dbManagementId integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
status string 아니요 아니요 —
publishedRevisionId integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
publishedIdentity string 아니요 예 —
createdAt string (date-time) 아니요 아니요 —
lastModifiedAt string (date-time) 아니요 예 —

응답 모델

200 성공

필드자료형필수null 허용설명 및 제약 조건
id integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
name string 아니요 아니요 —
description string 아니요 아니요 —
sqlTemplate string 아니요 아니요 —
type string 아니요 아니요 —
parametersJson string 아니요 예 —
dbManagementId integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
status string 아니요 아니요 —
publishedRevisionId integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
publishedIdentity string 아니요 예 —
createdAt string (date-time) 아니요 아니요 —
lastModifiedAt string (date-time) 아니요 예 —

400 잘못된 요청

필드자료형필수null 허용설명 및 제약 조건
type string 아니요 예 —
title string 아니요 예 —
status integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
detail string 아니요 예 —
instance string 아니요 예 —

404 리소스를 찾을 수 없음

필드자료형필수null 허용설명 및 제약 조건
type string 아니요 예 —
title string 아니요 예 —
status integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
detail string 아니요 예 —
instance string 아니요 예 —
POST /api/CustomSqlTool/{id}/disable

인증: AdminBearer / ManagementApiKey

필요 권한: /runtime/custom-tools.edit

경로 및 쿼리 매개변수

필드 위치 자료형 필수 설명 및 제약 조건
id path integer | string (int32) 예 —

요청 본문

없음

응답 모델

200 성공

필드자료형필수null 허용설명 및 제약 조건
id integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
name string 아니요 아니요 —
description string 아니요 아니요 —
sqlTemplate string 아니요 아니요 —
type string 아니요 아니요 —
parametersJson string 아니요 예 —
dbManagementId integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
status string 아니요 아니요 —
publishedRevisionId integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
publishedIdentity string 아니요 예 —
createdAt string (date-time) 아니요 아니요 —
lastModifiedAt string (date-time) 아니요 예 —

404 리소스를 찾을 수 없음

필드자료형필수null 허용설명 및 제약 조건
type string 아니요 예 —
title string 아니요 예 —
status integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
detail string 아니요 예 —
instance string 아니요 예 —
GET /api/CustomSqlTool/{id}/impact

인증: AdminBearer / ManagementApiKey

필요 권한: /runtime/custom-tools.view

경로 및 쿼리 매개변수

필드 위치 자료형 필수 설명 및 제약 조건
id path integer | string (int32) 예 —

요청 본문

없음

응답 모델

200 성공

필드자료형필수null 허용설명 및 제약 조건
toolId integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
draftDbManagementId integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
draftDatabaseName string 아니요 예 —
publishedDbManagementId integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
publishedDatabaseName string 아니요 예 —
currentlyExposedToKeys array<CustomSqlToolImpactKey> 아니요 아니요 —
currentlyExposedToKeys[].id integer | string (int32) 예 아니요 형식: ^-?(?:0|[1-9]\d*)$
currentlyExposedToKeys[].name string 예 아니요 —
currentlyExposedToKeys[].keyPrefix string 예 아니요 —
wouldExposeToKeys array<CustomSqlToolImpactKey> 아니요 아니요 —
wouldExposeToKeys[].id integer | string (int32) 예 아니요 형식: ^-?(?:0|[1-9]\d*)$
wouldExposeToKeys[].name string 예 아니요 —
wouldExposeToKeys[].keyPrefix string 예 아니요 —
breakingChanges array<string> 아니요 아니요 —
sqlChanged boolean 아니요 아니요 —

404 리소스를 찾을 수 없음

필드자료형필수null 허용설명 및 제약 조건
type string 아니요 예 —
title string 아니요 예 —
status integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
detail string 아니요 예 —
instance string 아니요 예 —
POST /api/CustomSqlTool/{id}/publish

인증: AdminBearer / ManagementApiKey

필요 권한: /runtime/custom-tools.edit

경로 및 쿼리 매개변수

필드 위치 자료형 필수 설명 및 제약 조건
id path integer | string (int32) 예 —

요청 본문

없음

응답 모델

200 성공

필드자료형필수null 허용설명 및 제약 조건
id integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
name string 아니요 아니요 —
description string 아니요 아니요 —
sqlTemplate string 아니요 아니요 —
type string 아니요 아니요 —
parametersJson string 아니요 예 —
dbManagementId integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
status string 아니요 아니요 —
publishedRevisionId integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
publishedIdentity string 아니요 예 —
createdAt string (date-time) 아니요 아니요 —
lastModifiedAt string (date-time) 아니요 예 —

400 잘못된 요청

필드자료형필수null 허용설명 및 제약 조건
type string 아니요 예 —
title string 아니요 예 —
status integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
detail string 아니요 예 —
instance string 아니요 예 —

404 리소스를 찾을 수 없음

필드자료형필수null 허용설명 및 제약 조건
type string 아니요 예 —
title string 아니요 예 —
status integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
detail string 아니요 예 —
instance string 아니요 예 —

409 충돌

필드자료형필수null 허용설명 및 제약 조건
type string 아니요 예 —
title string 아니요 예 —
status integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
detail string 아니요 예 —
instance string 아니요 예 —
GET /api/CustomSqlTool/{id}/revisions

인증: AdminBearer / ManagementApiKey

필요 권한: /runtime/custom-tools.view

경로 및 쿼리 매개변수

필드 위치 자료형 필수 설명 및 제약 조건
id path integer | string (int32) 예 —

요청 본문

없음

응답 모델

200 성공

필드자료형필수null 허용설명 및 제약 조건
[].id integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
[].customSqlToolId integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
[].revisionNumber integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
[].dbManagementId integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
[].name string 아니요 아니요 —
[].description string 아니요 아니요 —
[].sqlTemplate string 아니요 아니요 —
[].type string 아니요 아니요 —
[].parametersJson string 아니요 예 —
[].diffJson string 아니요 아니요 —
[].publishedBy string 아니요 예 —
[].publishedAt string (date-time) 아니요 아니요 —

404 리소스를 찾을 수 없음

필드자료형필수null 허용설명 및 제약 조건
type string 아니요 예 —
title string 아니요 예 —
status integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
detail string 아니요 예 —
instance string 아니요 예 —
POST /api/CustomSqlTool/{id}/rollback/{revisionId}

인증: AdminBearer / ManagementApiKey

필요 권한: /runtime/custom-tools.edit

경로 및 쿼리 매개변수

필드 위치 자료형 필수 설명 및 제약 조건
id path integer | string (int32) 예 —
revisionId path integer | string (int32) 예 —

요청 본문

없음

응답 모델

200 성공

필드자료형필수null 허용설명 및 제약 조건
id integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
name string 아니요 아니요 —
description string 아니요 아니요 —
sqlTemplate string 아니요 아니요 —
type string 아니요 아니요 —
parametersJson string 아니요 예 —
dbManagementId integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
status string 아니요 아니요 —
publishedRevisionId integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
publishedIdentity string 아니요 예 —
createdAt string (date-time) 아니요 아니요 —
lastModifiedAt string (date-time) 아니요 예 —

400 잘못된 요청

필드자료형필수null 허용설명 및 제약 조건
type string 아니요 예 —
title string 아니요 예 —
status integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
detail string 아니요 예 —
instance string 아니요 예 —

404 리소스를 찾을 수 없음

필드자료형필수null 허용설명 및 제약 조건
type string 아니요 예 —
title string 아니요 예 —
status integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
detail string 아니요 예 —
instance string 아니요 예 —

409 충돌

필드자료형필수null 허용설명 및 제약 조건
type string 아니요 예 —
title string 아니요 예 —
status integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
detail string 아니요 예 —
instance string 아니요 예 —
POST /api/CustomSqlTool/test-execute

인증: AdminBearer / ManagementApiKey

필요 권한: /runtime/custom-tools.edit

경로 및 쿼리 매개변수

없음

요청 본문

application/json · 필수: 예

필드자료형필수null 허용설명 및 제약 조건
toolId integer | string (int32) 예 아니요 형식: ^-?(?:0|[1-9]\d*)$
parameters object 아니요 예 —

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

데이터베이스 관리 DbManagement

GET /api/DbManagement

인증: AdminBearer / ManagementApiKey

필요 권한: /runtime/db-management.view

경로 및 쿼리 매개변수

없음

요청 본문

없음

응답 모델

200 성공

필드자료형필수null 허용설명 및 제약 조건
[].id integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
[].name string 아니요 아니요 —
[].sqlProvider string 아니요 아니요 —
[].host string 아니요 아니요 —
[].port string 아니요 아니요 —
[].username string 아니요 아니요 —
[].database string 아니요 아니요 —
[].extraSettings string 아니요 예 —
[].createdAt string 아니요 아니요 —
[].createdBy string 아니요 아니요 —
[].updatedAt string 아니요 아니요 —
[].updatedBy string 아니요 아니요 —
[].isBootstrapManaged boolean 아니요 아니요 —
POST /api/DbManagement

인증: AdminBearer / ManagementApiKey

필요 권한: /runtime/db-management.create

경로 및 쿼리 매개변수

없음

요청 본문

application/json · 필수: 예

필드자료형필수null 허용설명 및 제약 조건
name string 아니요 아니요 —
sqlProvider string 아니요 아니요 —
host string 아니요 아니요 —
port string 아니요 아니요 —
username string 아니요 아니요 —
password string 아니요 아니요 —
database string 아니요 아니요 —
extraSettings string 아니요 예 —
createdBy string 아니요 아니요 —
updatedBy string 아니요 아니요 —

응답 모델

200 성공

필드자료형필수null 허용설명 및 제약 조건
id integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
name string 아니요 아니요 —
sqlProvider string 아니요 아니요 —
host string 아니요 아니요 —
port string 아니요 아니요 —
username string 아니요 아니요 —
database string 아니요 아니요 —
extraSettings string 아니요 예 —
createdAt string 아니요 아니요 —
createdBy string 아니요 아니요 —
updatedAt string 아니요 아니요 —
updatedBy string 아니요 아니요 —
isBootstrapManaged boolean 아니요 아니요 —

400 잘못된 요청

필드자료형필수null 허용설명 및 제약 조건
type string 아니요 예 —
title string 아니요 예 —
status integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
detail string 아니요 예 —
instance string 아니요 예 —
DELETE /api/DbManagement/{id}

인증: AdminBearer / ManagementApiKey

필요 권한: /runtime/db-management.delete

경로 및 쿼리 매개변수

필드 위치 자료형 필수 설명 및 제약 조건
id path integer | string (int32) 예 —

요청 본문

없음

응답 모델

204 성공(본문 없음)

응답 본문 없음

GET /api/DbManagement/{id}

인증: AdminBearer / ManagementApiKey

필요 권한: /runtime/db-management.view

경로 및 쿼리 매개변수

필드 위치 자료형 필수 설명 및 제약 조건
id path integer | string (int32) 예 —

요청 본문

없음

응답 모델

200 성공

필드자료형필수null 허용설명 및 제약 조건
id integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
name string 아니요 아니요 —
sqlProvider string 아니요 아니요 —
host string 아니요 아니요 —
port string 아니요 아니요 —
username string 아니요 아니요 —
database string 아니요 아니요 —
extraSettings string 아니요 예 —
createdAt string 아니요 아니요 —
createdBy string 아니요 아니요 —
updatedAt string 아니요 아니요 —
updatedBy string 아니요 아니요 —
isBootstrapManaged boolean 아니요 아니요 —

404 리소스를 찾을 수 없음

필드자료형필수null 허용설명 및 제약 조건
type string 아니요 예 —
title string 아니요 예 —
status integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
detail string 아니요 예 —
instance string 아니요 예 —
PUT /api/DbManagement/{id}

인증: AdminBearer / ManagementApiKey

필요 권한: /runtime/db-management.edit

경로 및 쿼리 매개변수

필드 위치 자료형 필수 설명 및 제약 조건
id path integer | string (int32) 예 —

요청 본문

application/json · 필수: 예

필드자료형필수null 허용설명 및 제약 조건
name string 아니요 아니요 —
sqlProvider string 아니요 아니요 —
host string 아니요 아니요 —
port string 아니요 아니요 —
username string 아니요 아니요 —
password string 아니요 아니요 —
database string 아니요 아니요 —
extraSettings string 아니요 예 —
createdBy string 아니요 아니요 —
updatedBy string 아니요 아니요 —

응답 모델

204 성공(본문 없음)

응답 본문 없음

400 잘못된 요청

필드자료형필수null 허용설명 및 제약 조건
type string 아니요 예 —
title string 아니요 예 —
status integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
detail string 아니요 예 —
instance string 아니요 예 —
GET /api/DbManagement/{id}/columns

인증: AdminBearer / ManagementApiKey

필요 권한: /runtime/db-management.view

경로 및 쿼리 매개변수

필드 위치 자료형 필수 설명 및 제약 조건
id path integer | string (int32) 예 —
schema query string 아니요 —
table query string 아니요 —

요청 본문

없음

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

GET /api/DbManagement/{id}/schemas

인증: AdminBearer / ManagementApiKey

필요 권한: /runtime/db-management.view

경로 및 쿼리 매개변수

필드 위치 자료형 필수 설명 및 제약 조건
id path integer | string (int32) 예 —

요청 본문

없음

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

GET /api/DbManagement/{id}/tables

인증: AdminBearer / ManagementApiKey

필요 권한: /runtime/db-management.view

경로 및 쿼리 매개변수

필드 위치 자료형 필수 설명 및 제약 조건
id path integer | string (int32) 예 —
schema query string 아니요 —

요청 본문

없음

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

의미 메타데이터 DbSemantic

POST /api/DbSemantic

인증: AdminBearer / ManagementApiKey

필요 권한: /runtime/db-management/semantic.edit

경로 및 쿼리 매개변수

없음

요청 본문

application/json · 필수: 예

필드자료형필수null 허용설명 및 제약 조건
dbManagementId integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
schemaName string 아니요 예 —
tableName string 아니요 아니요 —
columnName string 아니요 예 —
description string 아니요 예 —
displayName string 아니요 예 —
synonyms array<string> 아니요 예 —

응답 모델

200 성공

필드자료형필수null 허용설명 및 제약 조건
id integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
dbManagementId integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
schemaName string 아니요 예 —
tableName string 아니요 아니요 —
columnName string 아니요 예 —
description string 아니요 예 —
displayName string 아니요 예 —
synonyms array<string> 아니요 아니요 —
createdAt string 아니요 아니요 —
updatedAt string 아니요 아니요 —
GET /api/DbSemantic/{dbManagementId}

인증: AdminBearer / ManagementApiKey

필요 권한: /runtime/db-management/semantic.view

경로 및 쿼리 매개변수

필드 위치 자료형 필수 설명 및 제약 조건
dbManagementId path integer | string (int32) 예 —

요청 본문

없음

응답 모델

200 성공

필드자료형필수null 허용설명 및 제약 조건
[].id integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
[].dbManagementId integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
[].schemaName string 아니요 예 —
[].tableName string 아니요 아니요 —
[].columnName string 아니요 예 —
[].description string 아니요 예 —
[].displayName string 아니요 예 —
[].synonyms array<string> 아니요 아니요 —
[].createdAt string 아니요 아니요 —
[].updatedAt string 아니요 아니요 —
GET /api/DbSemantic/{dbManagementId}/model

인증: AdminBearer / ManagementApiKey

필요 권한: /runtime/db-management/semantic.view

경로 및 쿼리 매개변수

필드 위치 자료형 필수 설명 및 제약 조건
dbManagementId path integer | string (int32) 예 —

요청 본문

없음

응답 모델

200 성공

필드자료형필수null 허용설명 및 제약 조건
dbManagementId integer | string (int32) 예 아니요 형식: ^-?(?:0|[1-9]\d*)$
entities array<DbSemanticVM> 예 아니요 —
entities[].id integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
entities[].dbManagementId integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
entities[].schemaName string 아니요 예 —
entities[].tableName string 아니요 아니요 —
entities[].columnName string 아니요 예 —
entities[].description string 아니요 예 —
entities[].displayName string 아니요 예 —
entities[].synonyms array<string> 아니요 아니요 —
entities[].createdAt string 아니요 아니요 —
entities[].updatedAt string 아니요 아니요 —
relationships array<DbSemanticRelationshipModel> 예 아니요 —
relationships[].id integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
relationships[].dbManagementId integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
relationships[].name string 아니요 아니요 —
relationships[].sourceSchema string 아니요 예 —
relationships[].sourceTable string 아니요 아니요 —
relationships[].sourceColumn string 아니요 아니요 —
relationships[].targetSchema string 아니요 예 —
relationships[].targetTable string 아니요 아니요 —
relationships[].targetColumn string 아니요 아니요 —
relationships[].cardinality string 아니요 아니요 —
relationships[].direction string 아니요 아니요 —
relationships[].description string 아니요 예 —
metrics array<DbSemanticMetricModel> 예 아니요 —
metrics[].id integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
metrics[].dbManagementId integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
metrics[].schemaName string 아니요 예 —
metrics[].tableName string 아니요 아니요 —
metrics[].name string 아니요 아니요 —
metrics[].displayName string 아니요 예 —
metrics[].description string 아니요 예 —
metrics[].formula string 아니요 아니요 —
metrics[].aggregation string 아니요 아니요 —
metrics[].grain string 아니요 예 —
metrics[].filter string 아니요 예 —
metrics[].synonyms array<string> 아니요 예 —
metrics[].executable boolean 아니요 아니요 —
DELETE /api/DbSemantic/{id}

인증: AdminBearer / ManagementApiKey

필요 권한: /runtime/db-management/semantic.edit

경로 및 쿼리 매개변수

필드 위치 자료형 필수 설명 및 제약 조건
id path integer | string (int32) 예 —

요청 본문

없음

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

POST /api/DbSemantic/metric

인증: AdminBearer / ManagementApiKey

필요 권한: /runtime/db-management/semantic.edit

경로 및 쿼리 매개변수

없음

요청 본문

application/json · 필수: 예

필드자료형필수null 허용설명 및 제약 조건
id integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
dbManagementId integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
schemaName string 아니요 예 —
tableName string 아니요 아니요 —
name string 아니요 아니요 —
displayName string 아니요 예 —
description string 아니요 예 —
formula string 아니요 아니요 —
aggregation string 아니요 아니요 —
grain string 아니요 예 —
filter string 아니요 예 —
synonyms array<string> 아니요 예 —
executable boolean 아니요 아니요 —

응답 모델

200 성공

필드자료형필수null 허용설명 및 제약 조건
id integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
dbManagementId integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
schemaName string 아니요 예 —
tableName string 아니요 아니요 —
name string 아니요 아니요 —
displayName string 아니요 예 —
description string 아니요 예 —
formula string 아니요 아니요 —
aggregation string 아니요 아니요 —
grain string 아니요 예 —
filter string 아니요 예 —
synonyms array<string> 아니요 예 —
executable boolean 아니요 아니요 —
DELETE /api/DbSemantic/metric/{id}

인증: AdminBearer / ManagementApiKey

필요 권한: /runtime/db-management/semantic.edit

경로 및 쿼리 매개변수

필드 위치 자료형 필수 설명 및 제약 조건
id path integer | string (int32) 예 —

요청 본문

없음

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

POST /api/DbSemantic/relationship

인증: AdminBearer / ManagementApiKey

필요 권한: /runtime/db-management/semantic.edit

경로 및 쿼리 매개변수

없음

요청 본문

application/json · 필수: 예

필드자료형필수null 허용설명 및 제약 조건
id integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
dbManagementId integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
name string 아니요 아니요 —
sourceSchema string 아니요 예 —
sourceTable string 아니요 아니요 —
sourceColumn string 아니요 아니요 —
targetSchema string 아니요 예 —
targetTable string 아니요 아니요 —
targetColumn string 아니요 아니요 —
cardinality string 아니요 아니요 —
direction string 아니요 아니요 —
description string 아니요 예 —

응답 모델

200 성공

필드자료형필수null 허용설명 및 제약 조건
id integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
dbManagementId integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
name string 아니요 아니요 —
sourceSchema string 아니요 예 —
sourceTable string 아니요 아니요 —
sourceColumn string 아니요 아니요 —
targetSchema string 아니요 예 —
targetTable string 아니요 아니요 —
targetColumn string 아니요 아니요 —
cardinality string 아니요 아니요 —
direction string 아니요 아니요 —
description string 아니요 예 —
DELETE /api/DbSemantic/relationship/{id}

인증: AdminBearer / ManagementApiKey

필요 권한: /runtime/db-management/semantic.edit

경로 및 쿼리 매개변수

필드 위치 자료형 필수 설명 및 제약 조건
id path integer | string (int32) 예 —

요청 본문

없음

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

관리 API 키 ManagementApiKeys

GET /api/runtime/management-api-keys

인증: AdminBearer

필요 권한: /runtime/security.edit

경로 및 쿼리 매개변수

없음

요청 본문

없음

응답 모델

200 성공

필드자료형필수null 허용설명 및 제약 조건
[].id integer | string (int32) 예 아니요 형식: ^-?(?:0|[1-9]\d*)$
[].name string 예 아니요 —
[].keyPrefix string 예 아니요 —
[].permissions array<string> 예 아니요 —
[].createdAt string (date-time) 예 아니요 —
[].expiresAt string (date-time) 예 아니요 —
[].lastUsedAt string (date-time) 예 예 —
[].revokedAt string (date-time) 예 예 —
[].createdBy string 예 예 —
POST /api/runtime/management-api-keys

인증: AdminBearer

필요 권한: /runtime/security.edit

경로 및 쿼리 매개변수

없음

요청 본문

application/json · 필수: 예

필드자료형필수null 허용설명 및 제약 조건
name string 예 아니요 —
expiresAt string (date-time) 예 아니요 —
permissions array<string> 예 아니요 —

응답 모델

200 성공

필드자료형필수null 허용설명 및 제약 조건
key ManagementApiKeyView 예 아니요 —
key.id integer | string (int32) 예 아니요 형식: ^-?(?:0|[1-9]\d*)$
key.name string 예 아니요 —
key.keyPrefix string 예 아니요 —
key.permissions array<string> 예 아니요 —
key.createdAt string (date-time) 예 아니요 —
key.expiresAt string (date-time) 예 아니요 —
key.lastUsedAt string (date-time) 예 예 —
key.revokedAt string (date-time) 예 예 —
key.createdBy string 예 예 —
plaintextKey string 예 아니요 —

400 잘못된 요청

필드자료형필수null 허용설명 및 제약 조건
type string 아니요 예 —
title string 아니요 예 —
status integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
detail string 아니요 예 —
instance string 아니요 예 —
POST /api/runtime/management-api-keys/{id}/revoke

인증: AdminBearer

필요 권한: /runtime/security.edit

경로 및 쿼리 매개변수

필드 위치 자료형 필수 설명 및 제약 조건
id path integer (int32) 예 —

요청 본문

없음

응답 모델

204 성공(본문 없음)

응답 본문 없음

404 리소스를 찾을 수 없음

필드자료형필수null 허용설명 및 제약 조건
type string 아니요 예 —
title string 아니요 예 —
status integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
detail string 아니요 예 —
instance string 아니요 예 —
POST /api/runtime/management-api-keys/{id}/rotate

인증: AdminBearer

필요 권한: /runtime/security.edit

경로 및 쿼리 매개변수

필드 위치 자료형 필수 설명 및 제약 조건
id path integer (int32) 예 —

요청 본문

없음

응답 모델

200 성공

필드자료형필수null 허용설명 및 제약 조건
key ManagementApiKeyView 예 아니요 —
key.id integer | string (int32) 예 아니요 형식: ^-?(?:0|[1-9]\d*)$
key.name string 예 아니요 —
key.keyPrefix string 예 아니요 —
key.permissions array<string> 예 아니요 —
key.createdAt string (date-time) 예 아니요 —
key.expiresAt string (date-time) 예 아니요 —
key.lastUsedAt string (date-time) 예 예 —
key.revokedAt string (date-time) 예 예 —
key.createdBy string 예 예 —
plaintextKey string 예 아니요 —

404 리소스를 찾을 수 없음

필드자료형필수null 허용설명 및 제약 조건
type string 아니요 예 —
title string 아니요 예 —
status integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
detail string 아니요 예 —
instance string 아니요 예 —

409 충돌

필드자료형필수null 허용설명 및 제약 조건
type string 아니요 예 —
title string 아니요 예 —
status integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
detail string 아니요 예 —
instance string 아니요 예 —
GET /api/runtime/management-api-keys/permissions

인증: AdminBearer

필요 권한: /runtime/security.edit

경로 및 쿼리 매개변수

없음

요청 본문

없음

응답 모델

200 성공

필드자료형필수null 허용설명 및 제약 조건
(요청/응답 본문) array<string> — 아니요 —

클라이언트 설정 McpClientConfig

GET /api/runtime/client-config

인증: AdminBearer / ManagementApiKey

필요 권한: /runtime/mcp-keys.view

경로 및 쿼리 매개변수

없음

요청 본문

없음

응답 모델

200 성공

필드자료형필수null 허용설명 및 제약 조건
mcpEndpoint string 예 아니요 —

사용자 관리 Member

GET /api/Member

인증: AdminBearer

필요 권한: /auth/user.view

경로 및 쿼리 매개변수

필드 위치 자료형 필수 설명 및 제약 조건
Search query string 아니요 —
IsActive query boolean 아니요 —
RoleId query integer | string (int32) 아니요 —
Page query integer | string (int32) 아니요 —
PageSize query integer | string (int32) 아니요 —

요청 본문

없음

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

POST /api/Member

인증: AdminBearer

필요 권한: /auth/user.create

경로 및 쿼리 매개변수

없음

요청 본문

application/json · 필수: 예

필드자료형필수null 허용설명 및 제약 조건
email string 예 아니요 —
username string 아니요 예 —
password string 예 아니요 —
assignAllRoles boolean 아니요 아니요 —
roleIds array<integer | string (int32)> 아니요 아니요 —

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

DELETE /api/Member/{id}

인증: AdminBearer

필요 권한: /auth/user.delete

경로 및 쿼리 매개변수

필드 위치 자료형 필수 설명 및 제약 조건
id path integer (int32) 예 —

요청 본문

없음

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

PUT /api/Member/{id}/password-change-required

인증: AdminBearer

필요 권한: /auth/user.edit

경로 및 쿼리 매개변수

필드 위치 자료형 필수 설명 및 제약 조건
id path integer (int32) 예 —

요청 본문

application/json · 필수: 예

필드자료형필수null 허용설명 및 제약 조건
required boolean 아니요 아니요 —

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

PUT /api/Member/{id}/roles

인증: AdminBearer

필요 권한: /auth/user.edit

경로 및 쿼리 매개변수

필드 위치 자료형 필수 설명 및 제약 조건
id path integer (int32) 예 —

요청 본문

application/json · 필수: 예

필드자료형필수null 허용설명 및 제약 조건
roleIds array<integer | string (int32)> 아니요 아니요 —

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

DELETE /api/Member/{id}/sessions

인증: AdminBearer

필요 권한: /auth/user.edit

경로 및 쿼리 매개변수

필드 위치 자료형 필수 설명 및 제약 조건
id path integer (int32) 예 —

요청 본문

없음

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

PUT /api/Member/{id}/status

인증: AdminBearer

필요 권한: /auth/user.edit

경로 및 쿼리 매개변수

필드 위치 자료형 필수 설명 및 제약 조건
id path integer (int32) 예 —

요청 본문

application/json · 필수: 예

필드자료형필수null 허용설명 및 제약 조건
isActive boolean 아니요 아니요 —

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

역할 및 권한 Role

GET /api/Role

인증: AdminBearer

필요 권한: /auth/role.view

경로 및 쿼리 매개변수

없음

요청 본문

없음

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

POST /api/Role

인증: AdminBearer

필요 권한: /auth/role.create

경로 및 쿼리 매개변수

없음

요청 본문

application/json · 필수: 예

필드자료형필수null 허용설명 및 제약 조건
name string 예 아니요 —
description string 아니요 예 —
permissionActions array<PermissionActionSelection> 아니요 아니요 —
permissionActions[].permissionId integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
permissionActions[].actionId integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

DELETE /api/Role/{id}

인증: AdminBearer

필요 권한: /auth/role.delete

경로 및 쿼리 매개변수

필드 위치 자료형 필수 설명 및 제약 조건
id path integer (int32) 예 —
force query boolean 아니요 —

요청 본문

없음

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

PUT /api/Role/{id}

인증: AdminBearer

필요 권한: /auth/role.edit

경로 및 쿼리 매개변수

필드 위치 자료형 필수 설명 및 제약 조건
id path integer (int32) 예 —

요청 본문

application/json · 필수: 예

필드자료형필수null 허용설명 및 제약 조건
name string 예 아니요 —
description string 아니요 예 —
permissionActions array<PermissionActionSelection> 아니요 아니요 —
permissionActions[].permissionId integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
permissionActions[].actionId integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

GET /api/Role/{id}/dependencies

인증: AdminBearer

필요 권한: /auth/role.view

경로 및 쿼리 매개변수

필드 위치 자료형 필수 설명 및 제약 조건
id path integer (int32) 예 —

요청 본문

없음

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

GET /api/Role/permission-action-templates

인증: AdminBearer

필요 권한: /auth/role.view

경로 및 쿼리 매개변수

없음

요청 본문

없음

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

실행 환경 및 접근 키 RuntimeAdmin

GET /api/runtime/audit

인증: AdminBearer / ManagementApiKey

필요 권한: /runtime/audit.view

경로 및 쿼리 매개변수

필드 위치 자료형 필수 설명 및 제약 조건
page query integer | string (int32) 아니요 —
pageSize query integer | string (int32) 아니요 —
action query string 아니요 —
keyword query string 아니요 —
from query string (date-time) 아니요 —
to query string (date-time) 아니요 —
result query string 아니요 —
actor query string 아니요 —
dbManagementId query integer | string (int32) 아니요 —
accessKeyId query integer | string (int32) 아니요 —
toolName query string 아니요 —

요청 본문

없음

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

GET /api/runtime/audit/daily-summary

인증: AdminBearer / ManagementApiKey

필요 권한: /runtime/audit.view

경로 및 쿼리 매개변수

필드 위치 자료형 필수 설명 및 제약 조건
days query integer | string (int32) 아니요 —

요청 본문

없음

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

GET /api/runtime/audit/export

인증: AdminBearer / ManagementApiKey

필요 권한: /runtime/audit.export

경로 및 쿼리 매개변수

필드 위치 자료형 필수 설명 및 제약 조건
Page query integer | string (int32) 아니요 —
PageSize query integer | string (int32) 아니요 —
Action query string 아니요 —
Keyword query string 아니요 —
From query string (date-time) 아니요 —
To query string (date-time) 아니요 —
Result query string 아니요 —
Actor query string 아니요 —
DbManagementId query integer | string (int32) 아니요 —
AccessKeyId query integer | string (int32) 아니요 —
ToolName query string 아니요 —
format query string 아니요 —

요청 본문

없음

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

GET /api/runtime/audit/retention

인증: AdminBearer / ManagementApiKey

필요 권한: /runtime/audit.view

경로 및 쿼리 매개변수

없음

요청 본문

없음

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

POST /api/runtime/audit/retention/dry-run

인증: AdminBearer

필요 권한: /runtime/audit.edit

경로 및 쿼리 매개변수

없음

요청 본문

없음

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

POST /api/runtime/audit/retention/execute

인증: AdminBearer

필요 권한: /runtime/audit.edit

경로 및 쿼리 매개변수

없음

요청 본문

없음

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

GET /api/runtime/mcp-keys

인증: AdminBearer / ManagementApiKey

필요 권한: /runtime/mcp-keys.view

경로 및 쿼리 매개변수

없음

요청 본문

없음

응답 모델

200 성공

필드자료형필수null 허용설명 및 제약 조건
[].id integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
[].name string 아니요 아니요 —
[].keyPrefix string 아니요 아니요 —
[].isActive boolean 아니요 아니요 —
[].expiresAt string (date-time) 아니요 예 —
[].lastUsedAt string (date-time) 아니요 예 —
[].allowedTools string 아니요 예 —
[].corsAllowedOrigins string 아니요 예 —
[].sqlProvider string 아니요 예 —
[].dbManagementId integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
[].dbManagementName string 아니요 예 —
[].isExpired boolean 아니요 아니요 —
[].isExpiringSoon boolean 아니요 아니요 —
[].tableWhitelist string 아니요 예 —
[].createdAt string (date-time) 아니요 아니요 —
[].rateLimitMode McpKeyRateLimitMode 아니요 아니요 —
[].permitLimitOverride integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
[].windowSecondsOverride integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
[].effectivePermitLimit integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
[].effectiveWindowSeconds integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
[].isBootstrapManaged boolean 아니요 아니요 —
POST /api/runtime/mcp-keys

인증: AdminBearer / ManagementApiKey

필요 권한: /runtime/mcp-keys.create

경로 및 쿼리 매개변수

없음

요청 본문

application/json · 필수: 예

필드자료형필수null 허용설명 및 제약 조건
name string 아니요 아니요 —
expiresAt string (date-time) 아니요 예 —
allowedTools string 아니요 예 —
corsAllowedOrigins string 아니요 예 —
dbManagementId integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
tableWhitelist string 아니요 예 —
rateLimitMode McpKeyRateLimitMode 아니요 아니요 —
permitLimitOverride integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
windowSecondsOverride integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$

응답 모델

200 성공

필드자료형필수null 허용설명 및 제약 조건
id integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
name string 아니요 아니요 —
keyPrefix string 아니요 아니요 —
plaintextKey string 아니요 아니요 —
expiresAt string (date-time) 아니요 예 —
allowedTools string 아니요 예 —
corsAllowedOrigins string 아니요 예 —
sqlProvider string 아니요 예 —
dbManagementId integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
tableWhitelist string 아니요 예 —
rateLimitMode McpKeyRateLimitMode 아니요 아니요 —
permitLimitOverride integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
windowSecondsOverride integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$

400 잘못된 요청

필드자료형필수null 허용설명 및 제약 조건
type string 아니요 예 —
title string 아니요 예 —
status integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
detail string 아니요 예 —
instance string 아니요 예 —
PUT /api/runtime/mcp-keys/{id}

인증: AdminBearer / ManagementApiKey

필요 권한: /runtime/mcp-keys.edit

경로 및 쿼리 매개변수

필드 위치 자료형 필수 설명 및 제약 조건
id path integer (int32) 예 —

요청 본문

application/json · 필수: 예

필드자료형필수null 허용설명 및 제약 조건
name string 아니요 아니요 —
expiresAt string (date-time) 아니요 예 —
allowedTools string 아니요 예 —
corsAllowedOrigins string 아니요 예 —
dbManagementId integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
tableWhitelist string 아니요 예 —
rateLimitMode McpKeyRateLimitMode 아니요 아니요 —
permitLimitOverride integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
windowSecondsOverride integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$

응답 모델

200 성공

필드자료형필수null 허용설명 및 제약 조건
id integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
name string 아니요 아니요 —
keyPrefix string 아니요 아니요 —
isActive boolean 아니요 아니요 —
expiresAt string (date-time) 아니요 예 —
lastUsedAt string (date-time) 아니요 예 —
allowedTools string 아니요 예 —
corsAllowedOrigins string 아니요 예 —
sqlProvider string 아니요 예 —
dbManagementId integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
dbManagementName string 아니요 예 —
isExpired boolean 아니요 아니요 —
isExpiringSoon boolean 아니요 아니요 —
tableWhitelist string 아니요 예 —
createdAt string (date-time) 아니요 아니요 —
rateLimitMode McpKeyRateLimitMode 아니요 아니요 —
permitLimitOverride integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
windowSecondsOverride integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
effectivePermitLimit integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
effectiveWindowSeconds integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
isBootstrapManaged boolean 아니요 아니요 —

404 리소스를 찾을 수 없음

필드자료형필수null 허용설명 및 제약 조건
type string 아니요 예 —
title string 아니요 예 —
status integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
detail string 아니요 예 —
instance string 아니요 예 —
POST /api/runtime/mcp-keys/{id}/clone

인증: AdminBearer / ManagementApiKey

필요 권한: /runtime/mcp-keys.create

경로 및 쿼리 매개변수

필드 위치 자료형 필수 설명 및 제약 조건
id path integer (int32) 예 —

요청 본문

application/json · 필수: 예

필드자료형필수null 허용설명 및 제약 조건
name string 아니요 아니요 —
expiresAt string (date-time) 아니요 예 —

응답 모델

200 성공

필드자료형필수null 허용설명 및 제약 조건
id integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
name string 아니요 아니요 —
keyPrefix string 아니요 아니요 —
plaintextKey string 아니요 아니요 —
expiresAt string (date-time) 아니요 예 —
allowedTools string 아니요 예 —
corsAllowedOrigins string 아니요 예 —
sqlProvider string 아니요 예 —
dbManagementId integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
tableWhitelist string 아니요 예 —
rateLimitMode McpKeyRateLimitMode 아니요 아니요 —
permitLimitOverride integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
windowSecondsOverride integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$

404 리소스를 찾을 수 없음

필드자료형필수null 허용설명 및 제약 조건
type string 아니요 예 —
title string 아니요 예 —
status integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
detail string 아니요 예 —
instance string 아니요 예 —
POST /api/runtime/mcp-keys/{id}/revoke

인증: AdminBearer / ManagementApiKey

필요 권한: /runtime/mcp-keys.revoke

경로 및 쿼리 매개변수

필드 위치 자료형 필수 설명 및 제약 조건
id path integer (int32) 예 —

요청 본문

없음

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

POST /api/runtime/mcp-keys/{id}/rotate

인증: AdminBearer / ManagementApiKey

필요 권한: /runtime/mcp-keys.edit

경로 및 쿼리 매개변수

필드 위치 자료형 필수 설명 및 제약 조건
id path integer (int32) 예 —

요청 본문

application/json · 필수: 예

필드자료형필수null 허용설명 및 제약 조건
gracePeriodMinutes integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
expiresAt string (date-time) 아니요 예 —

응답 모델

200 성공

필드자료형필수null 허용설명 및 제약 조건
id integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
name string 아니요 아니요 —
keyPrefix string 아니요 아니요 —
plaintextKey string 아니요 아니요 —
expiresAt string (date-time) 아니요 예 —
allowedTools string 아니요 예 —
corsAllowedOrigins string 아니요 예 —
sqlProvider string 아니요 예 —
dbManagementId integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
tableWhitelist string 아니요 예 —
rateLimitMode McpKeyRateLimitMode 아니요 아니요 —
permitLimitOverride integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
windowSecondsOverride integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$

404 리소스를 찾을 수 없음

필드자료형필수null 허용설명 및 제약 조건
type string 아니요 예 —
title string 아니요 예 —
status integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
detail string 아니요 예 —
instance string 아니요 예 —
GET /api/runtime/mcp-keys/available-tools

인증: AdminBearer / ManagementApiKey

필요 권한: /runtime/mcp-keys.view

경로 및 쿼리 매개변수

필드 위치 자료형 필수 설명 및 제약 조건
dbManagementId query integer | string (int32) 아니요 —

요청 본문

없음

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

POST /api/runtime/mcp-keys/test-db-connection

인증: AdminBearer / ManagementApiKey

필요 권한: /runtime/mcp-keys.create, /runtime/db-management.create, /runtime/db-management.edit

경로 및 쿼리 매개변수

없음

요청 본문

application/json · 필수: 예

필드자료형필수null 허용설명 및 제약 조건
dbSettingMode integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
dbManagementId integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$
sqlProvider null | SqlAgentToolType 아니요 아니요 —
host string 아니요 예 —
port string 아니요 예 —
username string 아니요 예 —
password string 아니요 예 —
database string 아니요 예 —
extraSettings string 아니요 예 —

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

GET /api/runtime/operability/db-health

인증: AdminBearer / ManagementApiKey

필요 권한: /runtime/operability.view

경로 및 쿼리 매개변수

없음

요청 본문

없음

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

GET /api/runtime/operability/deliveries

인증: AdminBearer / ManagementApiKey

필요 권한: /runtime/operability.view

경로 및 쿼리 매개변수

필드 위치 자료형 필수 설명 및 제약 조건
limit query integer | string (int32) 아니요 —

요청 본문

없음

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

POST /api/runtime/operability/deliveries/{id}/retry

인증: AdminBearer

필요 권한: /runtime/operability.edit

경로 및 쿼리 매개변수

필드 위치 자료형 필수 설명 및 제약 조건
id path integer (int64) 예 —

요청 본문

없음

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

GET /api/runtime/operability/key-usage

인증: AdminBearer / ManagementApiKey

필요 권한: /runtime/operability.view

경로 및 쿼리 매개변수

필드 위치 자료형 필수 설명 및 제약 조건
From query string (date-time) 아니요 —
To query string (date-time) 아니요 —
DbManagementId query integer | string (int32) 아니요 —
AccessKeyId query integer | string (int32) 아니요 —
ToolName query string 아니요 —

요청 본문

없음

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

GET /api/runtime/operability/metrics

인증: AdminBearer / ManagementApiKey

필요 권한: /runtime/operability.view

경로 및 쿼리 매개변수

필드 위치 자료형 필수 설명 및 제약 조건
From query string (date-time) 아니요 —
To query string (date-time) 아니요 —
DbManagementId query integer | string (int32) 아니요 —
AccessKeyId query integer | string (int32) 아니요 —
ToolName query string 아니요 —

요청 본문

없음

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

실행 환경 진단 RuntimeDoctor

GET /api/runtime/operability/doctor

인증: AdminBearer / ManagementApiKey

필요 권한: /runtime/operability.view

경로 및 쿼리 매개변수

없음

요청 본문

없음

응답 모델

200 성공

필드자료형필수null 허용설명 및 제약 조건
overallStatus string 예 아니요 —
environment string 예 아니요 —
deploymentMode string 예 아니요 —
generatedAtUtc string (date-time) 예 아니요 —
checks array<RuntimeDoctorCheck> 예 아니요 —
checks[].id string 예 아니요 —
checks[].category string 예 아니요 —
checks[].status string 예 아니요 —
checks[].title string 예 아니요 —
checks[].detail string 예 아니요 —
checks[].action string 아니요 예 —

보안 정책 SecurityPolicy

GET /api/runtime/security

인증: AdminBearer

필요 권한: /runtime/security.view

경로 및 쿼리 매개변수

없음

요청 본문

없음

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

PUT /api/runtime/security

인증: AdminBearer

필요 권한: /runtime/security.edit

경로 및 쿼리 매개변수

없음

요청 본문

application/json · 필수: 예

필드자료형필수null 허용설명 및 제약 조건
queryMaxRows integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
queryTimeoutSeconds integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
requireWhereForUpdate boolean 아니요 아니요 —
requireWhereForDelete boolean 아니요 아니요 —
allowFullTableUpdate boolean 아니요 아니요 —
allowFullTableDelete boolean 아니요 아니요 —
dmlMaxAffectedRows integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
keyPermitLimit integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
keyWindowSeconds integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
maxConcurrentSql integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
updatedAt string (date-time) 아니요 예 —
updatedBy string 아니요 예 —

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

SQL 분석 SqlExplain

POST /api/runtime/security/sql-explain

인증: AdminBearer

필요 권한: /runtime/security.view

경로 및 쿼리 매개변수

없음

요청 본문

application/json · 필수: 예

필드자료형필수null 허용설명 및 제약 조건
dbManagementId integer | string (int32) 아니요 아니요 형식: ^-?(?:0|[1-9]\d*)$
sql string 아니요 아니요 —
statementType string 아니요 아니요 —
sourceDialect string 아니요 예 —
accessKeyId integer | string (int32) 아니요 예 형식: ^-?(?:0|[1-9]\d*)$

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다

SQL 분석 컨텍스트 SqlExplainContext

GET /api/runtime/security/sql-explain/context

인증: AdminBearer

필요 권한: /runtime/security.view

경로 및 쿼리 매개변수

없음

요청 본문

없음

응답 모델

200 성공

서버에서 이 응답의 모델을 아직 정의하지 않았습니다